Name: portlibfori
Version: 0.4
Release: 0
License: MIT
Summary: IBM i utility libraries
Url: https://bitbucket.org/litmis/portlibfori

Source0: https://bitbucket.org/litmis/%{name}/downloads/%{name}-%{version}.tar.gz


%description
Provides various functions for PASE which are not provided by the AIX runtime.

This makes porting applications easier. Currently provides:
- libutil - openpty/forkpty/login_tty APIs and getopt_long

%package -n libutil1
Summary: libutil library
License: BSD

%description -n libutil1
libutil

%package -n libutil-devel
Summary: libutil development files
Requires: libutil1 = %{version}

%description -n libutil-devel
libutil development files


%prep
%setup -q

mv Makefile.soname Makefile

%build

%make_build LDFLAGS64='-L%{_libdir} -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib'

%install

%make_install PREFIX=%{_prefix}

%files -n libutil1
%defattr(-, qsys, *none)
%{_libdir}/lib*.so.*
%exclude %{_libdir}/*soname

%files -n libutil-devel
%defattr(-, qsys, *none)

%{_libdir}/lib*.so
%{_includedir}/*.h

%changelog
